/* p-  For paragraphs or body text 12pt or less.  t-  For titles over 12pt */
.p-serif { font-family: Baskerville, “Times New Roman”, Times, serif; }
.t-serif { font-family: Baskerville, Times, “Times New Roman”, serif; }
.t-serif a:link { font-family: Baskerville, “Times New Roman”, Times, serif; }
.t-serif a:visited { font-family: Baskerville, “Times New Roman”, Times, serif; }
.p-sans  { font-family: Arial, “Helvetica Neue”, Helvetica, sans-serif; }
.t-sans  { font-family: Arial, “Helvetica Neue”, Helvetica, sans-serif; }
.t-sans a:link { font-family: Arial, “Helvetica Neue”, Helvetica, sans-serif; }
.t-sans a:visited { font-family: Arial, “Helvetica Neue”, Helvetica, sans-serif; }
pre { 
   margin: 1em 0 1em 0; 
   font-family:"Lucida Console", Monaco, "Courier New", Courier, Mono, monospace;
}


/* Unfortunate historical use without classname in avp/ppa reports */
th, td { padding-left: 6px; padding-right: 6px; }

/* Definitions for use with class="compact" */
table.compact {
  border-collapse: collapse;
  padding: 0;
  border: 3px solid lightblue; /* color just for testing! */
}
table.compact, td.compact, th.compact {
  /* Setting table,td,th height:100% makes <select> menus in cells fill the 
   * entire row height.  I dont understand this! I thought that that 
   * table height:100% would the entire table height streach to match the 
   * enclosing object, rather than changing behavior of a cell in a row 
   * within the table...
   */
  height: 100%;
}

th.compact, td.compact {
  padding: 0;
  border: 1px solid orange; /* color just for testing! */
}

ul, ol {
  margin:0;
  padding:0 0 0 2em;
}
li {
  padding-bottom: 12pt;
}


.fixedwidth { 
   font-family:"Lucida Console", Monaco, "Courier New", Courier, Mono, monospace; 
   font-weight:bold;
}
.bold { font-weight:bold; }
.italic { font-style:italic; }
/* .oblique { font-style:oblique; } */
.typewriter { font-family:"Courier New", Courier, monospace; }
.center { text-align: center; }
.indent1 { margin-left:2%; }
.indent2 { margin-left:4.5%; }
.indent3 { margin-left:7%; }
.inset1 { margin-left:2%; margin-right:2%; }
.inset2 { margin-left:4.5%; margin-right:4.5%; }
.inset3 { margin-left:7%; margin-right:7%; }
.tiny { font-size:60%; }
.small { font-size:80%; }
.large { font-size:120%; }
.huge  { font-size:150%; }
.megahuge  { font-size:350%; }
.boxed { padding: 0.35em; border: .08em; border-style: solid; }
.boxedinset { 
  font-family: Baskerville, Times, “Times New Roman”, serif;
  font-size:90%; 
  margin-left: 1em; 
  padding: 0.35em; border: .08em; border-style: solid;
}
.do-menu{ 
  font-family:"Courier New", Courier, monospace;
  font-weight:bolder;
  padding-left: .06em; padding-right: .1em;
  /* font-size:95%; padding: 0 .16em 0 .16em; border: .08em; border-style: solid; */
}
.do-button{ 
  /* font-family:"Courier New", Courier, monospace; */
  font-family: Arial, “Helvetica Neue”, Helvetica, sans-serif;
  font-size:85%;
  letter-spacing:-0.01em;
  font-weight:bolder;
  /* padding: 0 .16em 0 .16em;  */
  padding: 0 .16em 0 .16em;  
  border: .08em; border-style: solid;
}
.do-typing{ 
  padding-left: .06em; padding-right: .1em;
  font-family:"Courier New", Courier, monospace;
}

.gray  { color: gray; }
.gray a:link { color: darkgray; }
.gray a:visited { color: dimgray; }

.darkred  { color: darkred; }
.red  { color: crimson; }
.red a:link { color: darkred; }
.red a:visited { color: brown; }

.darkblue  { color: DarkBlue; }
.blue  { color: DodgerBlue; }
.blue a:link { color: DarkBlue; }
.blue a:visited { color: DarkMagenta; }

.green  { color: ForestGreen; }
.green a:link { color: Green; }
.green a:visited { color: Indigo; }

* {
  /* Make "width" specify outside of border & padding, not the inner area */
  /* (does not work in IE < 8) */
  /* ARRGH: This breaks "resizing-input" fields (see jquery_stuff.php) */
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
          box-sizing: border-box;
}

.nodecoration  { text-decoration: none; }
.nodecoration a:link { text-decoration: none; }
.nodecoration a:visited { text-decoration: none; }

* {
  font-family: Arial, “Helvetica Neue”, Helvetica, sans-serif;
}
